Bug 89179 - mod_proxy (forward proxy) inserts empty line before header
Summary: mod_proxy (forward proxy) inserts empty line before header
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: httpd
Version: 9
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-19 10:08 UTC by Thomas Sailer
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-28 16:23:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:186 normal SHIPPED_LIVE : Updated httpd packages fix Apache security vulnerabilities 2003-05-28 04:00:00 UTC

Description Thomas Sailer 2003-04-19 10:08:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Proxy configured with:

<Location /vdradmin/>
    ProxyPass http://127.0.0.1:8001/
</Location>

Apache's response is:

HTTP/1.1 401

Date: Sat, 19 Apr 2003 09:39:10 GMT
Server: vdradmind/0.13
WWW-Authenticate: Basic realm="Privat"
Content-type: text/html; charset=ISO-8859-1
Content-Length: 369
Connection: close

The empty line between the HTTP and the Date line prevents any browser from
interpreting the header. The empty line is only inserted if the webserver the
proxy points to does not send any text after the response number (i.e. "HTTP/1.1
401" instead of "HTTP/1.1 401 Authorization Required").

httpd-2.0.40-11.3 sends a line of garbage characters instead of an empty line.


Version-Release number of selected component (if applicable):
httpd-2.0.40-21.1

How reproducible:
Always

Steps to Reproduce:
configure a proxy to any web server that does not send text after the response
number, and then
telnet localhost 80
GET /vdradmin/ HTTP/1.0



Actual Results:
HTTP/1.1 401

Date: Sat, 19 Apr 2003 09:39:10 GMT
Server: vdradmind/0.13
WWW-Authenticate: Basic realm="Privat"
Content-type: text/html; charset=ISO-8859-1
Content-Length: 369
Connection: close


Expected Results:
HTTP/1.1 401
Date: Sat, 19 Apr 2003 09:39:10 GMT
Server: vdradmind/0.13
WWW-Authenticate: Basic realm="Privat"
Content-type: text/html; charset=ISO-8859-1
Content-Length: 369
Connection: close

or an error message ("BadProxy" or similar)

Additional info:

Comment 1 Joe Orton 2003-05-19 10:07:18 UTC
Thanks for the report.  This will be fixed for the next erratum.

Comment 2 Mark J. Cox 2003-05-28 16:23:44 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-186.html



Note You need to log in before you can comment on or make changes to this bug.